Bug 119102 - CS4232 Kernel Sound Driver Does Not Work
Summary: CS4232 Kernel Sound Driver Does Not Work
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-25 01:37 UTC by Ryan Waldron
Modified: 2015-01-04 22:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:39:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ryan Waldron 2004-03-25 01:37:43 UTC
Description of problem:
I am running an IBM Intelestation M Pro with uses an onboard Crystal
Semiconductor 4232 sound chip. After upgrading to
kernel-smp-2.6.1-1.65 via the rpm the sound driver snd-cs4231 was
loaded via modules.conf. This the incorrect driver for the chip. Apon
trying to load the proper driver (snd-cs4232) with modprobe I recieve
the following error.


# /sbin/modprobe snd-cs4232
FATAL: Error inserting snd_cs4232
(/lib/modules/2.6.1-1.65smp/kernel/sound/isa/cs423x/snd-cs4232.ko): No
such device



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. remove snd-cs4231 modules
2. modprobe snd-cs4232
3.
  
Actual results:
Same error stated above

Expected results:
Proper insert of the kernel module for sound

Additional info:
N/A

Comment 1 Alan Cox 2004-05-03 15:53:08 UTC
If the onboard device is not ISA plug-and-play you will need to pass
options for the interrupt etc


Comment 2 Dave Jones 2004-12-08 05:49:08 UTC
fixed with latest updates ?

Comment 3 Alan Cox 2004-12-08 11:01:51 UTC
I still have the same problems with FC2/CS4235 on an IBM thinkpad 600. Not sure
if its related


Comment 4 Dave Jones 2005-04-16 05:39:23 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.